%!TEX root=../../thesis.tex
%!TEX file=content/fundamentals/dynamics.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Dynamics}\label{sec:fundamentals:dynamics}

\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{rigid-body-in-space}
  \includegraphics[%
      % width=0.33\linewidth,%
      height=0.25\textheight,%
    ]{rigid-body-in-space}
  \tikzexternaldisable%
  \caption[%
    Schematics of a free-floating rigid body under forces and torques.%
  ]{%
    Schematics of a free-floating rigid body~$\mc{B}$ under forces~$\forcevec_{\subplatform}$ and torques~$\torquevec_{\subplatform}$ \textWrt point~$\symplatform$.
    The position of interest of the body is given in world frame~$\coordsys{O}$.
  }
  \label{eqn:fundamentals:dynamics:forward-dynamics:free-floating-rigid-body}
\end{figure}

Since kinematics consider only motion\textemdash position, velocity, acceleration\textemdash without explicitly studying the forces causing such motion, this field is only partially applicable to assessment of real-world robot designs.
Dynamics extends kinematics by explicating consideration of forces and their emergence, their time evolution, as well as the forces' impact on the kinematics \textIe position, velocity, and acceleration.
When it comes to dynamics, much like in the kinematics case, there exist two different directions of dynamics, namely \begin{inparaenum}[1)]
\item forward dynamics~(\cref{sec:fundamentals:forward-dynamics-problem}), and
\item inverse dynamics~(\cref{sec:fundamentals:inverse-dynamics-problem}).
\end{inparaenum}
In either of these two cases, we consider the platform a free-floating rigid body, much like the one shown in~\cref{eqn:fundamentals:dynamics:forward-dynamics:free-floating-rigid-body}, with its point of reference~$\symplatform$, on which forces~$\forcevec_{\subplatform}$ and torques~$\torquevec_{\subplatform}$ act.
Very often, point~$\symplatform$ denotes the tool center point of the mobile platform or end effector, in some cases it also refers to the geometric center or center of mass of the mobile platform.
For practical use, the linear position~$\platpos$ and the orientation of the mobile platform~$\platrot$ are of interest for which the dynamics are generally formulated.




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/fundamentals/dynamics/forward-dynamics}




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/fundamentals/dynamics/inverse-dynamics}




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/fundamentals/dynamics/forward-dynamics/closing-remarks}
